PATCH
/api/public/v1/tickets/{ticketId}Update a ticket
Update one or more fields on a ticket.
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
ticketId | string | Required | Ticket ID. |
Request Body
| Property | Type | Description |
|---|---|---|
title | string | Title. |
description | string | Description. |
status | string | Status. |
priority | string | Priority. |
assigneeId | string | Assigned employee. |
sprintId | string | Containing sprint. |
PATCHExample request
curl
curl -X PATCH "https://www.pxb.app/api/public/v1/tickets/{ticketId}" \
-H "X-Organization-Id: your_org_id" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "COMPLETED"
}'200Example response
json
{
"message": "Ticket updated successfully!",
"content": {
"ticket": {
"id": "tkt_1"
}
}
}